# $Revision: 1.17 $, $Date: 2003/05/09 05:46:07 $
%define		mod_name	auth_any
%define 	apxs		/usr/sbin/apxs
Summary:	Basic authentication for the Apache Web server using arbitrary shell commands
Summary(cs):	Zkladn autentizace pro WWW server Apache pomoc shellovch pkaz
Summary(da):	En autenticeringsmodul for webtjeneren Apache hvor man kan bruge vilkrlige skal-kommandoer
Summary(de):	Authentifizierung fr den Apache Web-Server, der arbitrre Shell-Befehle verwendet
Summary(fr):	Authentification de base pour le serveur Web Apache utilisant des commandes shell arbitraires
Summary(it):	Autenticazione di base per il server Web Apache mediante comandi arbitrari della shell
Summary(no):	En autentiseringsmodul for webtjeneren Apache der en kan bruke skall-kommandoer
Summary(pl):	Podstawowy modu autentykacji dla Apache, uywajcy polece powoki
Summary(pt):	Um mdulo de autenticao de LDAP para o servidor Web Apache
Summary(sl):	Osnovna avtentikacija za spletni strenik Apache, z uporabo poljubnih lupinskih ukazov
Summary(sv):	Grundlggande autentisering fr webbservern Apache med valfria skalkommandon
Name:		apache-mod_%{mod_name}
Version:	1.3
Release:	1
License:	BSD
Group:		Networking/Daemons
Source0:	ftp://ftp.itlab.musc.edu/pub/toolbox/mod_%{mod_name}/mod_%{mod_name}-%{version}.tar.gz
URL:		http://www.itlab.musc.edu/~nafees/mod_%{mod_name}.html
Prereq:		%{_sbindir}/apxs
Requires:	apache(EAPI)
BuildRequires:	%{apxs}
BuildRequires:	apache(EAPI)-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_pkglibdir	%(%{apxs} -q LIBEXECDIR)

%description
This module allows you to use any command line program (such as
webNIS) to authenticate a user.

%description -l cs
Balek mod_auth_any slou pro omezen pstupu k dokumentm, kter
poskytuje WWW server Apache. Jmna a hesla jsou kontrolovna pomoc
jakhokoliv pkazu (jeho nvratovm kdem).

%description -l de
Mod_auth_any kann verwendet werden, um den Zugriff auf von einem Web-
Server bediente Dokumente zu beschrnken, indem es den Rckcode eines
gegebenen arbitrren Befehls prft.

%description -l es
Mod_auth_any puede usarse para limitar el acceso a documentos servidos
desde un servidor web verificando el cdigo de retorno de un comando
arbitrario especificado.

%description -l fr
Mod_auth_any peut tre utilis pour limiter l'accs  des documents
servis par un serveur Web en vrifiant le code de retour d'une
commande spcifie arbitraire.

%description -l it
Mod_auth_any pu essere utilizzato per limitare l'accesso ai documenti
serviti da un server Web controllando il codice di ritorno di un dato
comando arbitrario.

%description -l ja
Mod_auth_any Ǥդ˻ꤵ줿ޥɤꥳɤå뤳
ˤäơWeb С󶡤ɥȤؤΥ¤뤳
Ǥޤ

%description -l pl
Ten modu pozwala na uycie dowolnego programu dziaajcego z linii
polece (jak np. webNIS) do autentykacji uytkownika.

%description -l sv
Mod_auth_any kan anvndas fr att begrnsa tkomsten till dokument
servade av en webbserver genom att kontrollera returkoden frn ett
godtyckligt angivet kommando.

%prep
%setup -q -n mod_%{mod_name}

%build
%{apxs} -c src/mod_%{mod_name}.c -o mod_%{mod_name}.so

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_pkglibdir}

install mod_%{mod_name}.so $RPM_BUILD_ROOT%{_pkglibdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{apxs} -e -a -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
if [ -f /var/lock/subsys/httpd ]; then
	/etc/rc.d/init.d/httpd restart 1>&2
fi

%preun
if [ "$1" = "0" ]; then
	%{apxs} -e -A -n %{mod_name} %{_pkglibdir}/mod_%{mod_name}.so 1>&2
	if [ -f /var/lock/subsys/httpd ]; then
		/etc/rc.d/init.d/httpd restart 1>&2
	fi
fi

%files
%defattr(644,root,root,755)
%doc docs/*
%attr(755,root,root) %{_pkglibdir}/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: apache-mod_auth_any.spec,v $
Revision 1.17  2003/05/09 05:46:07  misi3k
- updated to 1.3

Revision 1.16  2003/05/07 18:30:50  misi3k
- rel 2
- added sec patch (CAN-2003-0084)

Revision 1.15  2002/08/13 15:06:21  grzegorz
- sed -e "s/%{_sbindir}\/apxs -e/\%{apxs} -e/"

Revision 1.14  2002/07/17 20:01:44  kloczek
- updated to 1.2.2 (bugfixes) and added using new %doc.

Revision 1.13  2002/04/25 15:45:05  arturs
fixed a small typo

Revision 1.12  2002/04/23 12:38:16  kloczek
- release 3.

Revision 1.11  2002/04/23 08:58:14  arturs
License field change

Revision 1.10  2002/02/22 23:28:41  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.9  2002/02/17 21:03:28  ankry
- release 2

Revision 1.8  2002/02/17 19:01:42  ankry
- added %%{apxs} local macro to avoid adapter problems
- fix use of %%{apxs} and %%{_sbindir}/apxs
- added BR %%{apxs} and Prereq %%{_sbindir}/apxs (if necessary); removed BR apache

Revision 1.7  2002/02/17 00:31:36  kloczek
- fixed %setup.

Revision 1.6  2002/02/16 19:26:15  kloczek
- updated to 1.2.1 (bugdix release).

Revision 1.5  2002/02/16 14:04:53  ankry
- added summaries/descriptions from KSI/RH
- adapterized

Revision 1.4  2002/01/24 20:21:02  kloczek
- back to 1 (sorry).

Revision 1.3  2002/01/24 20:19:39  kloczek
- release 2.

Revision 1.2  2002/01/24 12:00:36  qboosh
- pl translation, cosmetics

Revision 1.1  2002/01/24 11:27:54  mis
- new
